
# todo: get reload working so application is restarted when code is changed, without having to rebuild the Docker image

version: '3'
services:
        dev_jobsearch:
                build:
                        context: .
                        dockerfile: Dockerfile

                restart: always

                volumes:
                        # for reloading when files are changed
                        # ./ is repo root, /app is in container
                        - ./:/app
                ports:
                        - "5000:8081"
                environment:
                        ES_HOST: host.docker.internal
                        FLASK_ENV: development
                        FLASK_DEBUG: "on"
                        FLASK_APP: ${FLASK_APP}
                        flask_app: ${FLASK_APP}
                        proc_nr: 1
                        API_KEY_RATE_LIMIT: UNLIMITED

                networks:
                        - docker_elk
networks:
        docker_elk:
                driver: bridge


